upgrading PHP from 5.2.6 to 5.2.11

Discussion in 'Installation/Configuration' started by wintertong, Dec 10, 2009.

  1. wintertong

    wintertong New Member

    Hi,

    I have been through another post and completed:

    aptitude install mysql-server mysql-client
    aptitude install apache2
    aptitude install php5 libapache2-mod-php5

    aptitude install php5-mysql php5-curl php5-gd php5-idn php-pear php5-imagick php5-imap php5-mcrypt php5-memcache php5-mhash php5-ming php5-ps php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl php5-jsonaptitude install php5-mysql php5-curl php5-gd php5-idn php-pear php5-imagick php5-imap php5-mcrypt php5-memcache php5-mhash php5-ming php5-ps php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl php5-json

    aptitude install phpmyadmin

    This all works but I need PHP version 5.2.11 and apache 2.2.12.

    Currently it has installed PHP v5.2.6 and Apache/2.2.9.

    I have spent the day download and trying to configure stuff but with no joy.

    I would not say I am a newbie but could really do with some help here.

    I look forward to any help!!!!

    Thanks Gareth
     
  2. topdog

    topdog New Member HowtoForge Supporter

    php 5.2.11 is the latest release most distros do not ship such bleeding edge software. Debian unstable and testing do have 5.2.11 you can upgrade to those versions.
     
  3. wintertong

    wintertong New Member

    Thanks, but I cant change the OS to debian.

    Can I not install these manually ? If so, do you know how?

    Thanks for your help.

    Gareth
     
  4. topdog

    topdog New Member HowtoForge Supporter

    of course you can install, manually.
     
  5. topdog

    topdog New Member HowtoForge Supporter

Share This Page